FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get Payees

Returns list of banking payees available under the authorised consent

AI Actions
GET
/v1/banking/payees

Returns list of banking payees available under the authorised consent

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/payees?end_user_id=string"
{
  "payees": [
    {
      "arrangement_id": "70c90432-e8f4-40e0-b1a6-4f2b52a439a7",
      "biller": {
        "biller_code": "123456",
        "biller_name": "Electricity Co.",
        "crn": "987654321"
      },
      "creation_date": "2023-09-10",
      "description": "Monthly rent payment",
      "digital_wallet": {
        "identifier": "user@example.com",
        "name": "John Doe",
        "provider": "PAYPAL_AU",
        "type": "EMAIL"
      },
      "domestic": {
        "account": {
          "account_name": "John Doe",
          "account_number": "12345678",
          "bsb": "062000"
        },
        "card": {
          "card_number": "4111111111111111"
        },
        "pay_id": {
          "identifier": "user@example.com",
          "name": "John Doe",
          "type": "EMAIL"
        },
        "payee_account_u_type": "account"
      },
      "fiskil_id": "bank_payee_abcdef",
      "institution_id": "2",
      "international": {
        "bank_details": {
          "account_number": "1234567890",
          "bank_address": {
            "address": "123 Bank St",
            "name": "Bank of America"
          },
          "beneficiary_bank_bic": "BOFAUS3N",
          "chip_number": "987654321",
          "country": "USA",
          "fed_wire_number": "123456789",
          "legal_entity_identifier": "5493001KJTIIGC8Y1R12",
          "routing_number": "021000021",
          "sort_code": "404040"
        },
        "beneficiary_details": {
          "country": "USA",
          "message": "Payment for invoice #12345",
          "name": "Jane Doe"
        }
      },
      "nickname": "Flatmate",
      "payee_id": "payee-123",
      "payee_u_type": "domestic",
      "type": "DOMESTIC"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get income summaryGet Scheduled Payments